# SwiftPlatform

interface SwiftPlatform

A target platform for building Swift binaries.

#### Since

5.2

## Functions

getSourceCompatibility
Link copied to clipboard
abstract fun getSourceCompatibility(): SwiftVersion
Returns the Swift language level to use to compile the source files.
getTargetMachine
Link copied to clipboard
abstract fun getTargetMachine(): TargetMachine
Returns the target machine for this platform.